Recommended update for dracut

SUSE Recommended Update: Recommended update for dracut
Announcement ID: SUSE-RU-2019:0749-1
Rating: moderate
References: #1127891
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise Module for Basesystem 15

An update that has one recommended fix can now be installed.

Description:

This update for dracut fixes the following issues:

  • Check SUSE kernel module dependencies recursively (bsc#1127891)
  • Avoid "Failed to chown ... Operation not permitted" when run from non-root, by not copying xattrs. (osc#1092178)
  • Handle non-versioned dependency in purge-kernels.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-749=1
  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-749=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • dracut-debuginfo-044.2-18.24.1
    • dracut-debugsource-044.2-18.24.1
    • dracut-tools-044.2-18.24.1
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • dracut-044.2-18.24.1
    • dracut-debuginfo-044.2-18.24.1
    • dracut-debugsource-044.2-18.24.1
    • dracut-fips-044.2-18.24.1
    • dracut-ima-044.2-18.24.1

References: